#sccs	"@(#)adminbin:Modem.sh	1.1"

#								Modem.sh
# PURPOSE: Control of /etc/.modem
# CALLED BY: Admin-Kit
# REQUIRED FILES: Modem.form, /etc/.modem, /etc/.modeminit
# MODIFIED FILES: /etc/.modem
# ------------------------------------------------------------------------


ERROR1="An error has been encountered in the form file Modem.form\n  Please notify AT&T User Support.  Thank you."
ERROR2="The command provided was not recognized.\nPlease use Enter or Cancl."



umask 022

# Get the information from /etc files

if [ -s /etc/.modem ]
then
	. /etc/.modem
else
	IAT="NO"
	IGT="NO"
fi
export IAT IGT


# Execute the modem form

while true
do
RET=`shform -u $UA/Modem.form`
if [ "$?" != "0" ]
then
	message "$ERROR1"
	exit
fi
eval set $RET


case $1 in
	Enter)
		shift 1

		# update the files 

			cat > /etc/.modem << END
IAT=$1
IGT=$2
END
			/etc/.modeminit
		break
	;;

# This is the Exit code if command is cancelled
	Cancel)
		exit
	;;

# Help screen
	Help)
  		/usr/bin/uahelp -h $UA/admin.hlp -t "Modem Setup"
	;;

# Unrecognizable return form action key
	*)
		message "$ERROR2"
	;;
esac

clear

done

# ------------------------------------------------------------------------
#  EXECUTABLE PROGRAM ENDS HERE					Modem.sh
# ------------------------------------------------------------------------





